<?php 
/**
 *  arquivo main.php.
 */
  
  session_start();
  if ( !isset( $_SESSION['codiUSER']) )
  {
    echo("acesso não autorizado...<br>");
  }
  
/**
 *  flag: indica executando em modo RAD
 */
  if ( isset( $_SESSION['modeRAD']) )
  {
    $modo_RAD = true;
  }else
  {
    $modo_RAD = false;
  }// End if()

  // ajusta o path para o PhPage Studio
  $_rad_ = '/studio/' ;
  
  // ajusta o path para a cópia local do Projeto
  $_desenv_ = $_rad_ . 'desenv/usuarios/'. $_REQUEST['loginUSER'] . '/';
  
  include( $_SERVER['DOCUMENT_ROOT'] . 
           $_rad_ . "lib_PHP/PhPage.lib.php" );
  
  $projeto = array(
    'projeto_nome' => 'projeto10',
    'projeto_id'   => '1',
    'versao'       => '0',
    'atualizacao'  => '00',
    'revisao'      => '10',
    'desenv_id'    => 1,
    'esquema'      => 'system',
    'modelo'       => 'win98',
    'pageMain'     => 'page1' 
  );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . "config/" . 
           $projeto['projeto_nome'] . ".main.define.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . "lang/" . LANGUAGE . "/" .
           $projeto['projeto_nome'] . ".def.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_rad_ . "config/phPage.esquema.php" );
  
  include( $_SERVER['DOCUMENT_ROOT'] .
           $_desenv_ . getRegistro( $projeto['projeto_nome'] ) );

  $pages_no_Prj = array(
    'page1' => 'page1'
  );

  execPage( $projeto['pageMain'] );
  
?> 
